import 'bootstrap';
import 'jqueryLocal';
import Utils from 'utils';

$(function () {
    $('.modal-dynamic').on('show.bs.modal', function (event) {
        const dialog = $(this);
        const sender = $(event.relatedTarget);

        const title = sender.dataDefault('modalDynamicTitle');
        const body = sender.dataDefault('modalDynamicBody');
        const linkUrl = sender.dataDefault('modalDynamicLinkUrl', sender.matchTag('a') ? sender.attr('href') : undefined);

        if (!Utils.isUndefined(title)) {
            $('.modal-title', dialog).html(title);
        }
        if (!Utils.isUndefined(body)) {
            $('.modal-body', dialog).html(body);
        }
        if (!Utils.isUndefined(linkUrl)) {
            $('a.modal-confirm-link', dialog).attr('href', linkUrl);
        }

        return true;
    });
});